org.eclipse.emf.compare.ide

## Interface IAdditiveResourceMappingMerger

All Superinterfaces:
  org.eclipse.team.core.mapping.IResourceMappingMerger

All Known Implementing Classes:
  AdditiveResourceMappingMerger

    public interface IAdditiveResourceMappingMerger
    extends org.eclipse.team.core.mapping.IResourceMappingMerger

The use case for this feature is really specific : it is used when a user use git to create branch representing feature releases. Everything not related to a particular feature will be stripped-out of the git repository. These features are used to represent a specific feature in a lightweight model.

     Many architectural features can be created and the AdditiveResourceMappingMerger provide support for the merge of such architectural features.

Since:
  3.3

### Method Summary

### Methods inherited from interface org.eclipse.team.core.mapping.IResourceMappingMerger

`getMergeRule, merge, validateMerge`